GET
Demographics
https://www.microburbs.com.au/report_generator/api/property/demographics
Retrieves comprehensive demographic information for the suburb of a specified property, including age distribution and income brackets.
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | text | Required | Property identifier (GnafID) |
Response Schema
| Field | Type | Description |
|---|---|---|
| age_brackets | array | Population proportions by age bracket and gender |
| age_brackets[].age | string | Age bracket (e.g., '0-17', '18-24', '25-44', '45-64', '65+', 'Total') |
| age_brackets[].area_level | string | Geographical level (e.g., 'suburb') |
| age_brackets[].area_name | string | Name of the suburb |
| age_brackets[].gender | string | Gender category ('females', 'males', or 'persons') |
| age_brackets[].proportion | number | Proportion of population as decimal (e.g., 0.18 means 18%) |
| income | array | Income distribution with comparisons to larger geographical areas |
| income[].area_level | string | Geographical level (e.g., 'suburb') |
| income[].area_name | string | Name of the suburb |
| income[].income_bracket | string | Income bracket (e.g., '<$15k', '$15k-$32k') |
| income[].median_income | number | Median income for the suburb in dollars |
| income[].proportion | number | Proportion of population in this income bracket as decimal |
| income[].sa3 | object | Comparative data for Statistical Area Level 3 |
| income[].sa3.area_level | string | Geographical level ('sa3') |
| income[].sa3.area_name | string | Name of the SA3 region |
| income[].sa3.median_income | number | Median income for the SA3 region in dollars |
| income[].sa3.proportion | number | Proportion of SA3 population in this income bracket |
| income[].cr | object | Comparative data for City Region |
| income[].cr.area_level | string | Geographical level ('cr') |
| income[].cr.area_name | string | Name of the City Region |
| income[].cr.median_income | number | Median income for the City Region in dollars |
| income[].cr.proportion | number | Proportion of CR population in this income bracket |
Request Examples
cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/property/demographics?suburb=Belmont%20North" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response Example
Response
{
"age_brackets": [
{
"age": "0-17",
"area_level": "suburb",
"area_name": "Belmont North",
"gender": "females",
"proportion": 0.08
},
{
"age": "0-17",
"area_level": "suburb",
"area_name": "Belmont North",
"gender": "males",
"proportion": 0.09
},
{
"age": "0-17",
"area_level": "suburb",
"area_name": "Belmont North",
"gender": "persons",
"proportion": 0.18
},
{
"age": "18-24",
"area_level": "suburb",
"area_name": "Belmont North",
"gender": "females",
"proportion": 0.05
},
{
"age": "18-24",
"area_level": "suburb",
"area_name": "Belmont North",
"gender": "males",
"proportion": 0.06
},
{
"age": "18-24",
"area_level": "suburb",
"area_name": "Belmont North",
"gender": "persons",
"proportion": 0.12
}
],
"income": [
{
"area_level": "suburb",
"area_name": "Belmont North",
"cr": {
"area_level": "cr",
"area_name": "Newcastle and Lake Macquarie",
"median_income": 89440,
"proportion": 0.15
},
"income_bracket": "<$15k",
"median_income": 90480,
"proportion": 0.152,
"sa3": {
"area_level": "sa3",
"area_name": "Lake Macquarie - East",
"median_income": 173000,
"proportion": 0.15
}
},
{
"area_level": "suburb",
"area_name": "Belmont North",
"cr": {
"area_level": "cr",
"area_name": "Newcastle and Lake Macquarie",
"median_income": 89440,
"proportion": 0.27
},
"income_bracket": "$15k-$32k",
"median_income": 90480,
"proportion": 0.295,
"sa3": {
"area_level": "sa3",
"area_name": "Lake Macquarie - East",
"median_income": 173000,
"proportion": 0.27
}
}
],
"population": [
{
"area_name": "Belmont North",
"cr": {
"area_level": "cr",
"area_name": "Newcastle and Lake Macquarie",
"value": 4370
},
"date": "Sat, 31 Dec 2016 00:00:00 GMT",
"sa3": {
"area_level": "sa3",
"area_name": "Lake Macquarie - East",
"value": 5120
},
"value": 5950
},
{
"area_name": "Belmont North",
"cr": {
"area_level": "cr",
"area_name": "Newcastle and Lake Macquarie",
"value": 5180
},
"date": "Fri, 31 Dec 2021 00:00:00 GMT",
"sa3": {
"area_level": "sa3",
"area_name": "Lake Macquarie - East",
"value": 5450
},
"value": 6010
}
]
}
